<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Teknisa\MAN\Utilities;
use Teknisa\MAN\Services;
use Zeedhi\Framework\DataSource\DataSet;

class TipoConsumidorRestricaoAliemtar extends Crud{
    
    protected $dataSourceName = 'tipoconsumidor_restricaoAlimentar';
    protected $service;
    protected $util;
    
    public function __construct (Manager $dataSourceManager, Utilities\Util $util, Services\TipoConsumidorRestricaoAliemtar $service){
        $this->service = $service;
        $this->util = $util;
        parent::__construct($dataSourceManager);
    }
    
    public function findTipoParaRestricao (DTO\Request\Filter $request, DTO\Response $response){
        $conditions = $this->util->getParams($request->getFilterCriteria()->getConditions());
        $result = $this->service->getResult($conditions);
        $response->addDataSet(new DataSet($this->dataSourceName, $result));
    }
}