<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories\RelVendaDiaHoraFactory;

class RelVendaDiaHoraService {
    protected $relVendaDiaHoraFactory;

    public function __construct(RelVendaDiaHoraFactory $relVendaDiaHoraFactory) {
        $this->relVendaDiaHoraFactory = $relVendaDiaHoraFactory;
    }

    public function find($params) {
        $result = [];

        switch($params['IDRELATORIO']) {
            case 0:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHora($params);
                break;
            case 1:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHoraDataVenda($params);
                break;
            case 2:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHoraProduto($params);
                break;
            case 3:
                $result = $this->relVendaDiaHoraFactory->findVenasPorHoraProdutoConsolidadoLoja($params);
                break;
            case 4:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHoraConsolidadoFilial($params);
                break;
            case 5:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHoraConsolidadoPeriodo($params);
                break;
            case 6:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHoraModalidadeConsolidado($params);
                break;
            case 7:
                $result = $this->relVendaDiaHoraFactory->findVendasPorHoraModalidadeProdutoConsolidado($params);
                break;
        }
        
        return $result;
    }
}